%ext ck1
%version 1.31

# The title bitmap will be shown at offset 0,0 
%patch $97B2   $00 $00     # Y location, in pixels 
%patch $97B6   $04 $00     # (X location in pixels) / 8 + 4 

# Border Colour
%patch $4A62   $05
%patch $6F9D   $05
%patch $15568  $05
%patch $15579  $05
%patch $1558A  $05
%patch $1559B  $05

#High Score Entries
%patch 0x01593F "Mark "
%patch 0x01594E "Magnus "
%patch 0x01595D "Baron "

#Status Screen
%patch 0x014E56 "Score"
%patch 0x014E60 "Extra life at"
%patch 0x014E77 "Keens"
%patch 0x014E83 "Letters   "
%patch 0x014E9B "Blast "
%patch 0x014EA4 "Lev "
%patch 0x014EAC "Shards  "
%patch 0x014EC8 "Mana  "
%patch 0x014EDB "Keens Left"

# The two colors that the border flashes when a Vorticon dies 
%patch $4A7D $3D
%patch $4A85 $00

# Garg Height Patch
%patch $1B8B $10

# Pogo From Start
%patch $900E  $01 $00 

# Keen's Shot Height
%patch $46DC $09

# TileInfo
%patchfile 0x130F8 orbkeen.tli

# Background Tiles Patch
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

%patch $28EC                  $26 $8B $07 $B6 
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90 

# Background Tiles Patch
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

%patch $28EC                  $26 $8B $07 $B6 
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90 

# Map Doors
%patch $897B                                   $3D $00 $00 $9F $88 
   $E0 $8B $9F $6E $05 $83 $EB $02 $7C $0F $83 $FB $03 $7F $0A $D1 
   $E3 $83 $BF $9E $AA $01 $9F $08 $C4 $9E $74 $05 $58 $05 $1A $00 
   $50 $C3

# Call the map-door-checking function from appropriate spots 
%patch $A71B  $8B $87 $34 $0A $E8 $59 $E2 
%patch $A808  $8B $87 $C0 $13 $E8 $6C $E1 
%patch $A933  $8B $87 $86 $18 $E8 $41 $E0 
%patch $AA20  $8B $87 $FA $0E $E8 $54 $DF

# Let Keen keep keycards when exiting a level: 
%patch $4F43  $90 $90 $90 $90 $90 $90 $90 $90 
              $90 $90 $90 $90 $90 $90 $90 $90 
              $90 $90 $90 $90 $90 $90 $90 $90 
              $90 $90 $90 

# High Score Items
%patch $992A  $83 $00   # Joystick
%patch $995D  $76 $00   # Battery 
%patch $9990  $69 $00   # Vacuum cleaner
%patch $99C3  $7A $00   # Whisky bottle

# Scores
%patch $15078 $19 $00
%patch $1507A $32 $00
%patch $15076 $FA $00
%patch $1507C $E8 $03
%patch $1507E $20 $4E

#Menu
%patch 0x015EE9 "Begin   "
%patch 0x015EF6 "Restore      "
%patch 0x015F12 "Spleen     "
%patch 0x015F22 "High Scores"
%patch 0x015F32 "Keen Lives!  "
%patch 0x015F44 ":drool   "
%patch 0x015F52 "Stare In Awe"

#About ID...
%patch 0x015F80 "Commander Spleen is an obsessed   "
%patch 0x015FA8 "Keener and game developer. This  "
%patch 0x015FD0 "is what happens when those two"
%patch 0x015FF8 "obsessions collide. "
%patch 0x016020 "This project was first begun in "
%patch 0x016048 "August 2003. It's August 2004 and  "
%patch 0x016070 "he's finally released the "
%patch 0x016098 "beta! Woohoo!!         "
%patch 0x0160C0 "Keep an eye out for the full "
%patch 0x0160E8 "release, as well as Spleen's     "
%patch 0x016110 "other secret project...  "

#Ordering Info
%patch 0x01632C " Commander Keen Lives!  "
%patch 0x016346 "  ---------------------  "
%patch 0x016364 " Public Commander  "
%patch 0x01637B "     Keen Forum      "
%patch 0x016392 "     p072.ezboard.com/   "
%patch 0x0163AD "bpubliccommanderkeenforum"
%patch 0x0163C8 "      Keen:Modding       "
%patch 0x0163E4 "     andy.durdin.net/keen/modding    "
%patch 0x01640D "                                   "
%patch 0x016434 "This goes out to Rorie:            "
%patch 0x01645B "ID! Give Billy back to Tom!      "
%patch 0x016480 "Otherwise we're all Doomed!"
%patch 0x0164B5 "Thanks go out  "
%patch 0x0164DD "to those listed"
%patch 0x016505 "in the ReadMe! "
%patch 0x01652D "    *salutes*    "

%patch 0x0164EE "me.) KeenRush: "
%patch 0x016516 "TAG! You're It!"
%patch 0x016542 "Beta tested by Victor4k. Blame him for  "
%patch 0x016573 "my stupid mistakes.               "

#God mode
%patch 0x019EF6 "You'll pay...   "
%patch 0x019F07 "You gonna die now"

#CTSpace
%patch 0x014DEE "LUCID DREAM          "
%patch 0x014E05 "Manifesting items and mana"
%patch 0x014E21 "An unseen voice calls "
%patch 0x014E39 "you a slacker.          "

#God Cheat Code
%patch 0x0120D 0x5058
%patch 0x01214 0x504A
%patch 0x0121B 0x5045

#CTSpace Cheat Code
%patch 0x011F5 0x5058
%patch 0x011FC 0x5044
%patch 0x01203 0x5040

#Finale
%patch 0x015C24 "     Keen reaches the source of the"
%patch 0x015C49 "elusive glow. An orb, hovering   "
%patch 0x015C6C "high above glows red, and Keen is  "
%patch 0x015C91 "engulfed by a strange vision.  "

# First dialogue box at home
%patch 0x015CBD "    #What was that all"
%patch 0x015CD5 "about?` Keen asks "
%patch 0x015CE9 "himself aloud.   "

%patch 0x015CFB "Keen watches as the"
%patch 0x015D10 "orb fades from red "
%patch 0x015D25 "to green. "

%patch 0x015D30 "A voice above booms, "
#Text jump
%patch 0x015D47 "#You have proven your"
%patch 0x015D5E "worthiness. We need"
%patch 0x015D73 "your help.`"

%patch 0x015D80 "#Our essence was"
%patch 0x015D92 "stolen.` "

%patch 0x015D9C "#Come to Garthuria.   "
%patch 0x015DB4 "Find our artifacts. "
%patch 0x015DCA "It's our last chance.` "

%patch 0x015DE2 "The voice pauses.  "

%patch 0x015DF6 "#Please hurry.` "

%patch 0x015E07 "The dream ends. Keen "
%patch 0x015E1E "leaps up and heads for "
%patch 0x015E37 "his Club House to  "
%patch 0x015E4C "locate this fabled   "
%patch 0x015E63 "Garthuria.    "

%level.hint 2
This is a Gateway.
Just a few steps to 
the exit, but do you
really want to pass 
up all those extra
lives?

%end
